Rated 5 out of 5 stars

unknow: Works great on Aurora 7.0x builds. Install Add-On Compatibility Reporter.

This review is for a previous version of the add-on (1.2).